Embedded video poll
| Nome | Descrição |
|---|---|
| API de Vídeo ao vivo | This feature permission may be required. |
GET /v26.0/{video-poll-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{video-poll-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{video-poll-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{video-poll-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{video-poll-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Borda | Descrição |
|---|---|
Edge<VideoPollOption> | Options available on this poll |
| Erro | Descrição |
|---|---|
| 100 | Invalid parameter |
polls edge from the following paths: | Parâmetro | Descrição |
|---|---|
correct_optionint64 | Number of the correct option (in order, starting from 1) |
optionsarray<string> | Text options for users to select in order Obrigatório |
questionstring | Question text Obrigatório |
show_resultsboolean | True to show the results after voting, otherwise false |
id in the return type.id: numeric string, option_ids: List [| Erro | Descrição |
|---|---|
| 200 | Permissions error |
/{video_poll_id}.| Parâmetro | Descrição |
|---|---|
actionenum {ATTACH_TO_VIDEO, CLOSE, SHOW_VOTING, SHOW_RESULTS, DELETE_POLL} | Change state for the poll Obrigatório |
show_resultsboolean | True if the viewer sees results after voting, false if they do not |
id in the return type.success: bool, | Erro | Descrição |
|---|---|
| 100 | Invalid parameter |